Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASAMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASAMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASAMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SASEGASAMainLoop", "A SASEGASA main loop operator.")]
-  [StorableClass]
+  [StorableClass("0BBD3047-1B79-4B66-8479-A1018759A5B6")]
   public sealed class SASEGASAMainLoop : AlgorithmOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SuccessfulOffspringAnalysis/SuccessfulOffspringAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("SuccessfulOffspringAnalyzer", "An operator for analyzing certain properties in the successful offspring. The properties to be analyzed can be specified in the CollectedValues parameter.")]
-  [StorableClass]
+  [StorableClass("84FED344-7743-4C85-811F-046CFB709E06")]
   public sealed class SuccessfulOffspringAnalyzer : SingleSuccessorOperator, IAnalyzer {
     public bool EnabledByDefault {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/HillClimber.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,8 +38,8 @@
 namespace HeuristicLab.Algorithms.ParameterlessPopulationPyramid {
   // This code is based off the publication
-  // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785–792, 2014
+  // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785â792, 2014
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
   [Item("Hill Climber (HC)", "Binary Hill Climber.")]
-  [StorableClass]
+  [StorableClass("0C83F225-4DCA-4FF2-800D-A2BDDB5AD2E5")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 150)]
   public class HillClimber : BasicAlgorithm {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParameterlessPopulationPyramid/3.3/ParameterlessPopulationPyramid.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,8 +37,8 @@
 namespace HeuristicLab.Algorithms.ParameterlessPopulationPyramid {
   // This code is based off the publication
-  // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785–792, 2014
+  // B. W. Goldman and W. F. Punch, "Parameter-less Population Pyramid," GECCO, pp. 785â792, 2014
   // and the original source code in C++11 available from: https://github.com/brianwgoldman/Parameter-less_Population_Pyramid
-  [Item("Parameter-less Population Pyramid (P3)", "Binary value optimization algorithm which requires no configuration. B. W. Goldman and W. F. Punch, Parameter-less Population Pyramid, GECCO, pp. 785–792, 2014")]
-  [StorableClass]
+  [Item("Parameter-less Population Pyramid (P3)", "Binary value optimization algorithm which requires no configuration. B. W. Goldman and W. F. Punch, Parameter-less Population Pyramid, GECCO, pp. 785â792, 2014")]
+  [StorableClass("90E4FEAD-A69F-449D-88FA-36A9217453AE")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 400)]
   public class ParameterlessPopulationPyramid : BasicAlgorithm {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/MultiPSOTopologyUpdater.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Multi PSO Topology Updater", "Splits swarm into NrOfSwarms non-overlapping sub-swarms. Swarms are re-grouped every regroupingPeriod iteration. The operator is implemented as described in Liang, J.J. and Suganthan, P.N 2005. Dynamic multi-swarm particle swarm optimizer. IEEE Swarm Intelligence Symposium, pp. 124-129.")]
-  [StorableClass]
+  [StorableClass("1B8BA2EF-29A6-4CA3-A82E-B64442FF5E67")]
   public sealed class MultiPSOTopologyUpdater : SingleSuccessorOperator, ITopologyUpdater {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimization.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   [Item("Particle Swarm Optimization (PSO)", "A particle swarm optimization algorithm based on the description in Pedersen, M.E.H. (2010). PhD thesis. University of Southampton.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 300)]
-  [StorableClass]
+  [StorableClass("873279B8-58E4-456F-B840-75EC7C391291")]
   public sealed class ParticleSwarmOptimization : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/ParticleSwarmOptimizationMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("ParticleSwarmOptimizationMainLoop", "An operator which represents the main loop of a particle swarm optimization algorithm.")]
-  [StorableClass]
+  [StorableClass("8451459D-2C4D-4B1D-AE82-9AC2A5B43CDB")]
   public class ParticleSwarmOptimizationMainLoop : AlgorithmOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RandomTopologyInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Random Topology Initializer", "Randomly connectes every particle with k other particles.")]
-  [StorableClass]
+  [StorableClass("51896760-09D3-404D-8ADD-F1A38E21C95A")]
   public sealed class RandomTopologyInitializer : TopologyInitializer {
     #region Parameters
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/RingTopologyInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Ring Topology Initializer", "Connected every particle with its preceeding and its following particle.")]
-  [StorableClass]
+  [StorableClass("1A5B1CD5-ACE0-49F7-89D7-EB567677BD09")]
   public sealed class RingTopologyInitializer : TopologyInitializer {
     #region Construction & Cloning
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/TopologyInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("TopologyInitializer", "Groups the particles into neighborhoods according to a certain strategy.")]
-  [StorableClass]
+  [StorableClass("DB19490D-46AA-4EEB-82B2-CB7478AEF6C9")]
   public abstract class TopologyInitializer : SingleSuccessorOperator, ITopologyInitializer {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ParticleSwarmOptimization/3.3/VonNeumannTopologyInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Algorithms.ParticleSwarmOptimization {
   [Item("Von Neumann Topology Initializer", "Every particle is connected with the two following and the two previous particles wrapping around at the beginning and the end of the population.")]
-  [StorableClass]
+  [StorableClass("390FC424-5536-42EF-ADFF-E96822D9D9AF")]
   public sealed class VonNeumannTopologyInitializer : TopologyInitializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/OffspringSuccessAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("OffspringSuccessAnalyzer", "An operator which analyzes the success of the created offspring in a generation.")]
-  [StorableClass]
+  [StorableClass("F9EFA45A-48AC-430F-8C22-20DA571D5EB0")]
   public sealed class OffspringSuccessAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/PopulationSizeAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("PopulationSizeAnalyzer", "An operator which analyzes the size of the population in a scope tree.")]
-  [StorableClass]
+  [StorableClass("2390AB01-2A9D-49DE-B15A-2CF64C5A13B4")]
   public sealed class PopulationSizeAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/Analyzers/SelectionPressureAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SelectionPressureAnalyzer", "An operator which analyzes the actual selection pressure.")]
-  [StorableClass]
+  [StorableClass("18D73837-FBC9-405D-B2F1-00FD04FB6546")]
   public sealed class SelectionPressureAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/DuplicatesSelector.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("DuplicatesSelector", "A selection operator which considers a single solution representation and selects duplicates. The remaining scope then contains unique solutions and the selected scope their duplicates.")]
-  [StorableClass]
+  [StorableClass("060D7589-779A-449C-9D27-192F6B7ABEDB")]
   public sealed class DuplicatesSelector : SingleObjectiveSelector {
     public IValueLookupParameter<ISolutionSimilarityCalculator> SimilarityCalculatorParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ProgressiveOffspringPreserver.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </remarks>
   [Item("ProgressiveOffspringPreserver", "An operator that progressively selects offspring by adding it to a scope list. The operator also performs duplication control.")]
-  [StorableClass]
+  [StorableClass("C24B1503-DDA1-4CB3-834A-EDDB702EB0C9")]
   public sealed class ProgressiveOffspringPreserver : SingleSuccessorOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGA.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,7 +38,7 @@
   /// A relevant alleles preserving genetic algorithm.
   /// </summary>
-  [Item("RAPGA", "A relevant alleles preserving genetic algorithm (Affenzeller, M. et al. 2007. Self-adaptive population size adjustment for genetic algorithms. Proceedings of Computer Aided Systems Theory: EuroCAST 2007, Lecture Notes in Computer Science, pp 820–828. Springer).")]
+  [Item("RAPGA", "A relevant alleles preserving genetic algorithm (Affenzeller, M. et al. 2007. Self-adaptive population size adjustment for genetic algorithms. Proceedings of Computer Aided Systems Theory: EuroCAST 2007, Lecture Notes in Computer Science, pp 820â828. Springer).")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 140)]
-  [StorableClass]
+  [StorableClass("B887FDF7-2610-461F-95A0-1AA6DA425130")]
   public sealed class RAPGA : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/RAPGAMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("RAPGAMainLoop", "An operator which represents the main loop of a relevant alleles preserving genetic algorithm.")]
-  [StorableClass]
+  [StorableClass("4F237A68-FCA8-4BBB-9095-F51595C57CB9")]
   public sealed class RAPGAMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.RAPGA/3.3/ScopeRestorer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </remarks>
   [Item("ScopeRestorer", "An operator that restores created offspring from a scope list. It adds all scopes in the list as sub-scopes to the current scope.")]
-  [StorableClass]
+  [StorableClass("AAA60984-851F-421C-AE35-19F6F7173EA9")]
   public class ScopeRestorer : SingleSuccessorOperator {
     #region Parameter Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("OffspringProcessor", "An operator that creates a subscope with subscopes for every variable in the current scope.")]
-  [StorableClass]
+  [StorableClass("F04B66DE-15CD-40AA-9EA5-143D81BBDAB1")]
   public sealed class OffspringProcessor : SingleSuccessorOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("PopulationRebuildMethod", "An operator that updates the reference set and rebuilds the population.")]
-  [StorableClass]
+  [StorableClass("B019C774-EBFF-4D12-97AD-AC0EE5970114")]
   public sealed class PopulationRebuildMethod : SingleSuccessorOperator, ISingleObjectiveOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ReferenceSetUpdateMethod", "An operator that updates the reference set.")]
-  [StorableClass]
+  [StorableClass("58A2D60A-7B48-4C63-AB6F-CB500DC8D324")]
   public sealed class ReferenceSetUpdateMethod : SingleSuccessorOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   [Item("Scatter Search (SS)", "A scatter search algorithm.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 500)]
-  [StorableClass]
+  [StorableClass("25F04931-BC61-4940-AEA8-C826AFC47DF7")]
   public sealed class ScatterSearch : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ScatterSearchMainLoop", "An operator which represents a scatter search.")]
-  [StorableClass]
+  [StorableClass("19490563-1886-4CA3-9293-AD8C4BA617A5")]
   public sealed class ScatterSearchMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SolutionPoolUpdateMethod", "An operator that updates the solution pool.")]
-  [StorableClass]
+  [StorableClass("9F0DE52E-CA1A-488F-AEFE-07C107AAFC80")]
   public sealed class SolutionPoolUpdateMethod : SingleSuccessorOperator, ISingleObjectiveOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   [Item("Simulated Annealing (SA)", "A simulated annealing algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 140)]
-  [StorableClass]
+  [StorableClass("03753690-9F68-424C-A5DB-0CC84D3F1178")]
   public sealed class SimulatedAnnealing : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingImprovementOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("SimulatedAnnealingImprovementOperator", "A simulated annealing improvement operator.")]
-  [StorableClass]
+  [StorableClass("0917EAA3-1F48-4A8F-A327-5F83916B63B6")]
   public sealed class SimulatedAnnealingImprovementOperator : SingleSuccessorOperator, ILocalImprovementAlgorithmOperator, IStochasticOperator, ISingleObjectiveOperator {
     #region IGenericLocalImprovementOperator Properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingMainLoop.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingMainLoop.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealingMainLoop.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("SimulatedAnnealingMainLoop", "An operator which represents the main loop of a simulated annealing algorithm.")]
-  [StorableClass]
+  [StorableClass("63BA7A09-33C0-43B4-9E4E-4936F87918D6")]
   public sealed class SimulatedAnnealingMainLoop : AlgorithmOperator {
     #region Parameter properties
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuListCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuListCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuListCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.TabuSearch {
   [Item("TabuListCreator", "An operator that creates a new empty tabu list. It can also replace an existing tabu list with a new empty one.")]
-  [StorableClass]
+  [StorableClass("D54FDEA4-D7CF-4508-A807-181EF84A43D4")]
   public class TabuListCreator : SingleSuccessorOperator {
     public ValueLookupParameter<ItemList<IItem>> TabuListParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Algorithms.TabuSearch/3.3/TabuNeighborhoodAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Algorithms.TabuSearch {
-  [StorableClass]
+  [StorableClass("BFF359BA-239E-4174-9EF8-5B965B35FF7A")]
   [Item("TabuNeighborhoodAnalyzer", "Analyzes the tabu neighborhood")]
   public class TabuNeighborhoodAnalyzer : SingleSuccessorOperator, IAnalyzer {
